package cn.wise.sc.cement.business.controller;

import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.service.IPlanPeopleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author wlb
 * @since 2020-10-19
 */
@Api(tags = "计划管理-培训计划审批")
@RestController
@RequestMapping("/tcdri/plan_people")
public class PlanPeopleController {
	private static final Logger log = LoggerFactory.getLogger("PlanPeopleController");

	@Autowired
	private IPlanPeopleService iPlanPeopleService;

	@ApiOperation(value = "培训计划审批分页")
	@GetMapping("/getPage")
	public BaseResponse getPage(PageQuery pageQuery) {
		try {
			return iPlanPeopleService.getPage(pageQuery);
		} catch (Exception e) {
			log.debug("培训计划分页{}", e);
		}
		return BaseResponse.errorMsg("失败!");
	}

	@ApiOperation(value = "获取所有的培训计划审批")
	@GetMapping("/getList")
	public BaseResponse getList() {
		try {
			return iPlanPeopleService.getList();
		} catch (Exception e) {
			log.debug("获取指定时间内的培训计划{}", e);
		}
		return BaseResponse.errorMsg("失败!");
	}

	@ApiOperation(value = "考核结果")
	@PostMapping("/status")
	public BaseResponse status(Integer status, Integer id){
		try {
			return iPlanPeopleService.status(status, id);
		}catch (Exception e){
			log.debug("审批操作实现{}",e);
		}
		return BaseResponse.errorMsg("失败!");
	}
}
