package cn.wise.sc.cement.business.service.impl;

import cn.wise.sc.cement.business.entity.HistoryArchives;
import cn.wise.sc.cement.business.entity.PlanPeople;
import cn.wise.sc.cement.business.entity.PlanTraining;
import cn.wise.sc.cement.business.mapper.PlanPeopleMapper;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.vo.HistoryArchivesVo;
import cn.wise.sc.cement.business.model.vo.PlanPeopleVo;
import cn.wise.sc.cement.business.model.vo.PlanTrainingVo;
import cn.wise.sc.cement.business.service.IPlanPeopleService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wlb
 * @since 2020-10-19
 */
@Service
public class PlanPeopleServiceImpl extends ServiceImpl<PlanPeopleMapper, PlanPeople> implements IPlanPeopleService {
	@Resource
	private PlanPeopleMapper planPeopleMapper;

	@Override
	public BaseResponse<IPage<PlanPeople>> getPage(PageQuery pageQuery) {
//		Page<PlanPeopleVo> page = new Page<>(pageQuery.getPageNo(), pageQuery.getPageSize());
		IPage<PlanPeople> iPage = new Page<>(pageQuery.getPageNo(),pageQuery.getPageSize());
		IPage<PlanPeople> pages = this.page(iPage);
		return BaseResponse.okData(pages);
	}

	@Override
	public BaseResponse<List<PlanPeople>> getList() {
		QueryWrapper<PlanPeople> qw = new QueryWrapper<>();
		qw.ne("id", 0);
		List<PlanPeople> list = this.list(qw);
		return BaseResponse.okData(list);
	}

	@Override
	public BaseResponse<String> status(Integer status, Integer id) {
		if(status == null || id == null){
			return BaseResponse.errorMsg("参数错误!");
		}
		PlanPeople planPeople = planPeopleMapper.selectById(id);
		if(planPeople == null){
			return BaseResponse.errorMsg("数据错误!");
		}
		planPeople.setStatus(status);
		planPeopleMapper.updateById(planPeople);
		String result = "";
		if(planPeople.getStatus() == 1){
			result = "通过";
		}else{
			result = "未通过";
		}
		return BaseResponse.okData(result);
	}
}
